#include <ESP8266WiFi.h>
#include <DNSServer.h>
#include <ESP8266WebServer.h>

const byte DNS_PORT = 53;
IPAddress apIP(172, 217, 28, 1);
DNSServer dnsServer;
ESP8266WebServer webServer(80);

String responseHTMLTeil1 = ""
                      "<!DOCTYPE html><html lang='en'><head>"
                      "<meta name='viewport' content='width=device-width'>"
                      "<title>CaptivePortal</title></head><body>"
                      "<h1>Hallo, Die Werte sind: </h1><p>";

String werte = "20°C <br> 30°C <br> 40°C";


String responseHTMLTeil2 = ""                      
                      "</p></body></html>";





void setup() {
  WiFi.mode(WIFI_AP);
  WiFi.softAPConfig(apIP, apIP, IPAddress(255, 255, 255, 0));
  WiFi.softAP("Mess-Hotspot");

  // Wenn man den DNS-Server mit * startet, leitet er alle auf die Webseite weiter
  dnsServer.start(DNS_PORT, "*", apIP);

  // Egal was angefragt wird: immer die responseHTMLs schicken
  webServer.onNotFound([]() {
    webServer.send(200, "text/html", responseHTMLTeil1 + werte + responseHTMLTeil2);
  });
  webServer.begin();
}

void loop() {
  dnsServer.processNextRequest();
  webServer.handleClient();

  ///!!!!! HIER DEINE MESSUNG
  ///SIE MUSS DEN STRING "werte" neu vollschreiben
  /// KIDS KÖNNEN MIT F5 Updaten :)
}
